<refentry id="void.element">
<?dbhtml filename="void.html"?>
<refentryinfo>
<pubdate>$Date: 2002-06-12 19:19:37 +0800 (Wed, 12 Jun 2002) $</pubdate>
<releaseinfo>$Revision: 1666 $</releaseinfo>
</refentryinfo>

<refmeta>
<indexterm><primary>elements</primary>
<secondary>void</secondary></indexterm>
<refentrytitle>void</refentrytitle>
<refmiscinfo>Element</refmiscinfo>
</refmeta>
<refnamediv>
<refname>void</refname>
<refpurpose>&void.purpose;</refpurpose>
</refnamediv>

&void.synopsis.gen;
<refsect1 condition='ref.description'><title>Description</title>

<para>
The <sgmltag>Void</sgmltag> element indicates explicitly that a
<sgmltag>Function</sgmltag> has no arguments.
</para>

<refsect2><title>Processing expectations</title>
<para>
The <sgmltag>Void</sgmltag> element produces generated text that indicates
the function has no arguments (or returns nothing).  The
exact generated text may vary.  One common result is
<literal>void</literal>.
</para>
</refsect2>


&void.parents.gen;
</refsect1>
<refsect1 condition='ref.elem.seealso'><title>See Also</title>
&void.seealso.gen;
</refsect1>
<refsect1><title>Examples</title>

&void.example.seealso.gen;
</refsect1>
</refentry>

